@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";
@import "../input.styles/input.styles.scss";

.admin {
    @include max-width;
  &-title {
    color: $admin-text-alt;
    background-color: $admin-main;
    font-size: 1.3em;
    font-weight: 600;
    font-family: $admin-title;
    padding: 1.2em;    
    text-align: center;
  }

    // styles for main menu in admin
    // ------- begin -------
  &-menu {
    margin: 5em auto 0;
    width: 35em;
    padding-left: 0.5em;
    &-link {
      background-color: $admin-menu-bg;
      color: $admin-main;
      margin: 0.5em;
      padding: 0.9em !important;
      font-size: 1.1em;
      font-weight: 600;
      font-family: $admin-menu;
      box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
      border-radius: 3px;
      &:hover {
        color: $admin-text-alt;
        background-color: $admin-hover-menu-bg;
      }
      img {
        width: 1.3em;
        margin-right: 0.9em;
      }
    }
  }
  // -------- end --------------

  // styles for <ListRouteComponents />
  // --------- begin ---------------
  .left-menu {
      width: 13em;
      .nav-link {
        color: $admin-main;
        background-color: $admin-menu-bg;
        margin: .5em 2em .5em 0;
        border-radius: 3px;
        font-weight: 500;
        font-family: $admin-title;
        font-size: .9em;
        padding: .8em;
      }      
  }
  // ----- end --------
}
